from django.urls import path
from django.contrib.auth.views import LoginView, LogoutView, PasswordChangeView, PasswordChangeDoneView
from django.contrib.auth import logout
from .import views


urlpatterns = [
    path('', views.home, name='upanel'),
    path('connect/', views.connect, name='connect'),
    # path('greenhouse/', views.greenhouse, name='greenhouse'),
    # path('server_smart/', views.server_smart, name='server_smart'),
    path('upanel/login/', LoginView.as_view(template_name='upanel/login.html'), name='login'),
    path('logout/', LoginView.as_view(template_name='upanel/login.html'), name='logout'),
    path('password_change/', PasswordChangeView.as_view(template_name='upanel/change_password.html'),
         name='password_change'),
    path('password_change/done/', PasswordChangeDoneView.as_view(template_name='upanel/change_password_done.html'),
         name='password_change_done'),
]